UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 30924

10.1 EDK, MPMC 3.00.b - "ERROR:MDT - mpmc_v2_1_0.mpd Value of parameter C_MEM_REDUCED_DRV of type std_logic_vector must start with prefix 0x or 0b"

Description

When using either the MPMC v3.00.a core or a copy of the EDK 9.2i MPMC v3.00.b MPD file or a copy of the entire v3.00.b entire pcore in EDK 10.1, the following error occurs:

ERROR:MDT - pcores/mpmc_v3_00_b/data/mpmc_v2_1_0.mpd line 165 Value of parameter C_MEM_REDUCED_DRV of type std_logic_vector must start with prefix 0x or 0b

ERROR:MDT - pcores/mpmc_v3_00_b/data/mpmc_v2_1_0.mpd line 165 Invalid value 0 for parameter C_MEM_REDUCED_DRV

ERROR:MDT - Errors while parsing MPD file pcores/mpmc_v3_00_b/data/mpmc_v2_1_0.mpd

How do I resolve this issue?

Solution

Tool changes modified the 3.00.b MPD in EDK 10.1. Using the original 9.2 MPD will cause the errors described above. Either migrate to an MPMCv4 version, or modify the following line in the projects pcores/mpmc_v3_00_b/data/mpmc_v2_1_0.mpd file from:

PARAMETER C_MEM_REDUCED_DRV = 0, DT = STD_LOGIC_VECTOR, RANGE = (0,1)

to:

PARAMETER C_MEM_REDUCED_DRV = 0, DT = INTEGER, RANGE = (0,1)

The MPMC v3.00.a version was not updated for EDK 10.1. It will be updated in the EDK install repository starting with EDK 10.1, Service Pack 2.

AR# 30924
Date Created 05/12/2008
Last Updated 12/15/2012
Status Active
Type General Article